> ## Documentation Index
> Fetch the complete documentation index at: https://docs.area.club/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Operator details

> Returns details about an Operator including metadata, LATs where Operator is delegated to, Staker Nodes info for whome this Operator is a delegation, and optionally TVL given to the Operator from all LATs.



## OpenAPI

````yaml get /lat/operators/{address}
openapi: 3.0.3
info:
  title: Area API
  description: >-
    Area is a decentralized, non-custodial liquid restaking protocol that allows
    users to directly restake into networks and services.
  version: 1.0.0
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.area.club
    description: Area Production API
security: []
paths:
  /lat/operators/{address}:
    get:
      tags:
        - LAT
      summary: Retrieve Operator details
      description: >-
        Returns details about an Operator including metadata, LATs where
        Operator is delegated to, Staker Nodes info for whome this Operator is a
        delegation, and optionally TVL given to the Operator from all LATs.
      operationId: getOperator
      parameters:
        - in: path
          name: address
          description: Address of the Operator
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: Address of the Operator
            example: '0xdbed88d83176316fc46797b43adee927dc2ff2f5'
          required: true
        - in: query
          name: withTvl
          description: Toggle whether the route should calculate the TVL from shares
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should calculate the TVL from shares
            example: 'false'
      responses:
        '200':
          description: Operator details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      operatorAddress:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Operator address
                        example: '0xa4e245c3a1cb2f0512a71b9cd908dca2f1641781'
                      metadata:
                        type: object
                        properties:
                          metadataName:
                            type: string
                            description: Name of the Operator
                            example: Kiln
                          metadataDescription:
                            type: string
                            description: Description of the Operator
                            example: >-
                              Kiln is the leading staking platform with over $7B
                              stake under management, running over 4% of the
                              Ethereum network.
                          metadataDiscord:
                            type: string
                            description: Discord link of the operator
                            example: ''
                          metadataLogo:
                            type: string
                            description: Logo URL of the operator
                            example: >-
                              https://raw.githubusercontent.com/kilnfi/public/main/icon.png
                          metadataTelegram:
                            type: string
                            description: Telegram link of the Operator
                            example: ''
                          metadataWebsite:
                            type: string
                            description: Website URL of the Operator
                            example: https://kiln.fi
                          metadataX:
                            type: string
                            description: X/Twitter link of the Operator
                            example: https://twitter.com/Kiln_finance
                          totalStakers:
                            type: number
                            description: Total number of stakers
                            example: 1730
                          tvl:
                            type: number
                            description: TVL of the Operator
                            example: 14045.306990857485
                        description: Operator metadata
                      liquidTokens:
                        type: array
                        items:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                        description: LATs associated with the Operator
                        example:
                          - '0xaa4398a908cae395dff7f5d620e5899905b52723'
                      stakerNodeAssets:
                        type: array
                        items:
                          type: object
                          properties:
                            nodeAddress:
                              type: string
                              description: Node address
                              example: '0x5696191d573b3cf282886028ad94edb8f586dba4'
                            nodeId:
                              type: number
                              description: Node ID
                              example: 2
                            assets:
                              type: array
                              items:
                                type: object
                                properties:
                                  asset:
                                    type: string
                                    description: Asset token address
                                    example: '0x3f1c547b21f65e10480de3ad8e19faac46c95034'
                                  strategy:
                                    type: string
                                    description: Strategy address
                                    example: '0x7D704507b76571a51d9caE8AdDAbBFd0ba0e63d3'
                                  stakedAmount:
                                    type: string
                                    description: Staked amount
                                    example: '338936078743497835'
                                  eigenLayerShares:
                                    type: string
                                    description: EigenLayer shares
                                    example: '402974731021952492'
                                required:
                                  - asset
                                  - strategy
                                  - stakedAmount
                                  - eigenLayerShares
                              description: Node assets
                          required:
                            - nodeAddress
                            - nodeId
                            - assets
                        description: Staker Node assets associated with the Operator
                      tvl:
                        type: object
                        properties:
                          tvl:
                            type: number
                            description: Total TVL value
                            example: 0.6666606411338315
                          tvlStrategies:
                            type: object
                            additionalProperties:
                              type: number
                            description: TVL by strategy
                            example:
                              stETH: 0.33879547162730034
                              sfrxETH: 0.2978332589227976
                          tvlStrategiesEth:
                            type: object
                            additionalProperties:
                              type: number
                            description: TVL by strategy in ETH
                            example:
                              stETH: 0.33814533238964134
                              sfrxETH: 0.32851530874419016
                        required:
                          - tvl
                          - tvlStrategies
                          - tvlStrategiesEth
                        description: >-
                          TVL information across all LATs (included when
                          withTvl=true)
                    required:
                      - operatorAddress
                      - metadata
                      - liquidTokens
                      - stakerNodeAssets
                required:
                  - data
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````